io.vertx.ext.web.validation.builder

## Interface ValidationHandlerBuilder

-     public interface ValidationHandlerBuilder

  Builder for a `ValidationHandler`.
  For more info look the docs

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationHandlerBuilder` | `body(io.vertx.ext.web.validation.impl.body.BodyProcessor bodyProcessor)`
    `ValidationHandlerBuilder` | `body(BodyProcessorFactory bodyProcessor)`
    `ValidationHandler` | `build()` Build the `ValidationHandler` from this builder
    `ValidationHandlerBuilder` | `cookieParameter(ParameterProcessorFactory parameterProcessor)`
    `ValidationHandlerBuilder` | `cookieParameter(StyledParameterProcessorFactory parameterProcessor)`
    `static ValidationHandlerBuilder` | `create(SchemaParser parser)`
    `ValidationHandlerBuilder` | `headerParameter(ParameterProcessorFactory parameterProcessor)`
    `ValidationHandlerBuilder` | `parameter(io.vertx.ext.web.validation.impl.ParameterLocation location, io.vertx.ext.web.validation.impl.parameter.ParameterProcessor processor)` Add a parameter given the location and the processor
    `ValidationHandlerBuilder` | `pathParameter(ParameterProcessorFactory parameterProcessor)`
    `ValidationHandlerBuilder` | `predicate(RequestPredicate predicate)`
    `ValidationHandlerBuilder` | `queryParameter(ParameterProcessorFactory parameterProcessor)`
    `ValidationHandlerBuilder` | `queryParameter(StyledParameterProcessorFactory parameterProcessor)`

- - ### Method Detail

    - #### parameter

          ValidationHandlerBuilder parameter(io.vertx.ext.web.validation.impl.ParameterLocation location,
                                             io.vertx.ext.web.validation.impl.parameter.ParameterProcessor processor)

      Add a parameter given the location and the processor
      Parameters:
        `location` -
        `processor` -
      Returns:

    - #### queryParameter

          ValidationHandlerBuilder queryParameter(StyledParameterProcessorFactory parameterProcessor)

    - #### queryParameter

          ValidationHandlerBuilder queryParameter(ParameterProcessorFactory parameterProcessor)

    - #### pathParameter

          ValidationHandlerBuilder pathParameter(ParameterProcessorFactory parameterProcessor)

    - #### cookieParameter

          ValidationHandlerBuilder cookieParameter(StyledParameterProcessorFactory parameterProcessor)

    - #### cookieParameter

          ValidationHandlerBuilder cookieParameter(ParameterProcessorFactory parameterProcessor)

    - #### headerParameter

          ValidationHandlerBuilder headerParameter(ParameterProcessorFactory parameterProcessor)

    - #### body

          ValidationHandlerBuilder body(BodyProcessorFactory bodyProcessor)

    - #### body

          ValidationHandlerBuilder body(io.vertx.ext.web.validation.impl.body.BodyProcessor bodyProcessor)

    - #### predicate

          ValidationHandlerBuilder predicate(RequestPredicate predicate)

    - #### build

          ValidationHandler build()

      Build the `ValidationHandler` from this builder
      Returns:

    - #### create

          static ValidationHandlerBuilder create(SchemaParser parser)

Copyright © 2021 Eclipse. All rights reserved.